<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 基本情報削除
 *
 * @package     Admin.Itemmanage.Change.Delete.Done
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Itemmanage_Change_Delete_Done
{
    var $itembasic;

    
    var $actionChain;
    
    var $actionnm;
    var $title;
    var $pagename;
    var $from;

    var $itemdiv;
    var $jancode;
    var $hinban;
    var $itemtitle;
    var $release_date_start;
    var $release_date_end;
    var $publish_date_start;
    var $publish_date_end;
    var $maker_capital;
    var $maker_name;
    var $media;
    var $cast;
    var $situation;
    var $photo_situation;
    var $publish_situation;
    var $sort;
    var $genre_select;
    
    
    var $code;
    var $upduser;
    var $updcnt;
//  var $webupdcnt;

    var $option01;
    var $option02;
    var $option03;
    var $option04;
    var $option05;
    var $option06;
    var $option07;
    var $option08;
    var $option09;
    var $option10;

    var $option;

    /**
     * execute
     *
     * @access  public
     */
    function execute()
    {
        $errorList =& $this->actionChain->getCurErrorList();
        
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Change_Delete_Doneが実行されました", "Admin_Itemmanage_Change_Delete_Done#execute");
        
        $result = $this->itembasic->delete($this->code, NULL, $this->upduser, $this->updcnt);
        
        if (is_array($result)) {
            $errorList -> add("Error", $result[1]);
            return 'error';
        }
        if (is_object($result)){
            return 'error';
        }

        return 'success';
    }
}
?>
